UNDET extension


#1

Good afternoon

I am trying to install UNDET extension under SketchUp Pro 2017 but when I run Sketchup a window appears with the following message:

Error: #<Fiddle::DLError: can't load C:/ProgramData/SketchUp/SketchUp 2016/SketchUp/Plugins/undet/ieraPointCloudLib.dll>
C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/fiddle/import.rb:85:in `rescue in block in dlload'
C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/fiddle/import.rb:82:in `block in dlload'
C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/fiddle/import.rb:73:in `collect'
C:/Program Files/SketchUp/SketchUp 2016/Tools/RubyStdLib/fiddle/import.rb:73:in `dlload'
c:/programdata/sketchup/sketchup 2016/sketchup/plugins/undet/undet_imports.rbs:26:in `<module:PointCloudLib>'
c:/programdata/sketchup/sketchup 2016/sketchup/plugins/undet/undet_imports.rbs:24:in `<module:Imports>'
c:/programdata/sketchup/sketchup 2016/sketchup/plugins/undet/undet_imports.rbs:3:in `<main>'
c:/programdata/sketchup/sketchup 2016/sketchup/plugins/undet/undet_loader.rbs:1:in `eval'
c:/programdata/sketchup/sketchup 2016/sketchup/plugins/undet/undet_loader.rbs:1:in `require'
c:/programdata/sketchup/sketchup 2016/sketchup/plugins/undet/undet_loader.rbs:1:in `<main>'
C:/Program Files/SketchUp/SketchUp 2016/Tools/extensions.rb:197:in `eval'
C:/Program Files/SketchUp/SketchUp 2016/Tools/extensions.rb:197:in `require'
C:/Program Files/SketchUp/SketchUp 2016/Tools/extensions.rb:197:in `load'
C:/ProgramData/SketchUp/SketchUp 2016/SketchUp/Plugins/undet.rb:17:in `register_extension'
C:/ProgramData/SketchUp/SketchUp 2016/SketchUp/Plugins/undet.rb:17:in `<module:Undet>'
C:/ProgramData/SketchUp/SketchUp 2016/SketchUp/Plugins/undet.rb:6:in `<top (required)>'
Error: #<NameError: uninitialized constant Undet::Imports::LibUndetOGL>
c:/programdata/sketchup/sketchup 2016/sketchup/plugins/undet/undet_loader.rbs:135:in `LoadMenu'
c:/programdata/sketchup/sketchup 2016/sketchup/plugins/undet/undet_loader.rbs:1282:in `<main>'
C:/Program Files/SketchUp/SketchUp 2016/Tools/extensions.rb:197:in `eval'
C:/Program Files/SketchUp/SketchUp 2016/Tools/extensions.rb:197:in `require'
C:/Program Files/SketchUp/SketchUp 2016/Tools/extensions.rb:197:in `load'
C:/ProgramData/SketchUp/SketchUp 2016/SketchUp/Plugins/undet.rb:17:in `register_extension'
C:/ProgramData/SketchUp/SketchUp 2016/SketchUp/Plugins/undet.rb:17:in `<module:Undet>'
C:/ProgramData/SketchUp/SketchUp 2016/SketchUp/Plugins/undet.rb:6:in `<top (required)>'

Has someone the same problem?

Thanks for answering.


#2

Please reattach your error list, preceding and following it with lines containing a triple backtick (```)
Without that the forum software reformats the content and loses the actual error message!

Thanks


#3

This topic was automatically closed after 91 days. New replies are no longer allowed.